import QtQuick 2.0
import Sailfish.Silica 1.0
import Nemo.Configuration 1.0
import org.SfietKonstantin.patchmanager 2.0

//import "./components"

Page {
    id: page
    allowedOrientations: Orientation.All
    property bool pmTranslationLoaded: PatchManagerTranslator ? PatchManagerTranslator.installTranslator("patch-icon-filter") : false

    ConfigurationGroup {
        id: conf
        path: "/apps/patchmanager/patch-bt-carmode"
        property string favorites: ""
    }

    SilicaFlickable {
        anchors.fill: parent
        contentHeight: column.height

        VerticalScrollDecorator{}


        Column {
            id: column
            width: parent.width
            spacing: Theme.paddingMedium

            PageHeader {
                title: qsTr("Bluetooth Car Mode Settings")
            }

            SectionHeader {
                text: qsTr("Favorites")
            }

            Label {
                text: qsTr("These devices will be tried to autoconnect to whenever Bluetooth Settings are opened. You can set and re-set this in the device's context menu in Bluetooth Settings.")
                wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                width: parent.width - 2*x
                x: Theme.horizontalPageMargin
                color: Theme.secondaryHighlightColor
                font.pixelSize: Theme.fontSizeSmall
            }
            ValueButton {
                width: parent.width - 2*x
                x: Theme.horizontalPageMargin
                label: qsTr("Favorite device")
                description: qsTr("Tap to remove.")
                value: conf.favorites
                onClicked: {
                    var dlg = pageStack.push(yesNoDialog)
                    dlg.accepted.connect(function(result) {
                        conf.favorites = ""
                    })
                }
            }
        }

    }
    Component { id: yesNoDialog
        Dialog {
            Column {
                width: parent.width
                DialogHeader{}
                Label {
                    width: parent.width - 2*x
                    x: Theme.horizontalPageMargin
                    text: qsTr("Remove Favorite?")
                }
            }
        }
    }
}

// vim: expandtab ts=4 st=4 sw=4 filetype=javascript
